Name:          jaxb2-basics-annotate
Version:       1.0.2
Release:       4%{?dist}
Summary:       Plugin that add arbitrary annotations to JAXB classes
License:       BSD
URL:           https://github.com/highsource/jaxb2-annotate-plugin
Source0:       https://github.com/highsource/jaxb2-annotate-plugin/archive/%{version}.tar.gz

BuildRequires: maven-local
BuildRequires: mvn(com.sun.xml.bind:jaxb-impl)
BuildRequires: mvn(com.sun.xml.bind:jaxb-xjc)
BuildRequires: mvn(javax.xml.bind:jaxb-api)
BuildRequires: mvn(junit:junit)
BuildRequires: mvn(org.jvnet.annox:annox) >= 1.0.1
BuildRequires: mvn(org.jvnet.jaxb2_commons:jaxb2-basics-tools)
BuildRequires: mvn(org.jvnet.jaxb2.maven2:maven-jaxb2-plugin-testing)
BuildRequires: mvn(org.sonatype.oss:oss-parent:pom:)

BuildArch:     noarch

%description
JAXB2 Annotate Plugin adds arbitrary annotations to
Java classes generated by JAXB/XJC.

%package javadoc
Summary:       Javadoc for %{name}

%description javadoc
This package contains javadoc for %{name}.

%prep
%setup -q -n jaxb2-annotate-plugin-%{version}
# Cleanup
find -name "*.bat" -print -delete
find -name "*.class" -print -delete
find -name "*.jar" -print -delete

%pom_remove_plugin :license-maven-plugin
%pom_remove_plugin :maven-source-plugin
%pom_remove_plugin :maven-deploy-plugin tests
%pom_change_dep -r :maven-jaxb2-plugin :maven-jaxb22-plugin

%pom_xpath_set "pom:dependency[pom:groupId = 'log4j' ]/pom:version" 1.2.17

%pom_xpath_set "pom:dependency[pom:artifactId = 'tools' ]/pom:groupId" com.sun
%pom_xpath_remove "pom:dependency[pom:artifactId = 'tools' ]/pom:scope"
%pom_xpath_remove "pom:dependency[pom:artifactId = 'tools' ]/pom:systemPath"

%pom_change_dep :ant-optional org.apache.ant:ant

%mvn_file :%{name} %{name}

%build

%mvn_build

%install
%mvn_install

%files -f .mfiles
%doc README.md
%license LICENSE

%files javadoc -f .mfiles-javadoc
%license LICENSE

%changelog
* Wed Jul 26 2017 Fedora Release Engineering <releng@fedoraproject.org> - 1.0.2-4
- Rebuilt for https://fedoraproject.org/wiki/Fedora_27_Mass_Rebuild

* Fri Feb 10 2017 Fedora Release Engineering <releng@fedoraproject.org> - 1.0.2-3
- Rebuilt for https://fedoraproject.org/wiki/Fedora_26_Mass_Rebuild

* Thu Feb 04 2016 Fedora Release Engineering <releng@fedoraproject.org> - 1.0.2-2
- Rebuilt for https://fedoraproject.org/wiki/Fedora_24_Mass_Rebuild

* Mon Oct 26 2015 gil cattaneo <puntogil@libero.it> 1.0.2-1
- Update to 1.0.2

* Mon Jun 01 2015 gil cattaneo <puntogil@libero.it> 1.0.1-1
- initial rpm
